
Redmine - Defect #3349

Wrong auto_increment issue ID

2009-05-13 09:44 - Jos Vermeulen

Status: Closed Start date: 2009-05-13

Priority: High Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

The first issue I submit in a fresh install gets issue ID 2. The second issues gets ID 4. The third 6, fourth 8, ...

So only even ID's are available and the odds are skipped. It should be an auto increment value if I look to the database.

MySQL: 5.0.66sp1-enterprise-gpl-log

Ruby: 1.8.6 (2008-08-11 patchlevel 287) [x86_64-linux] Ruby Enterprise Edition 20090421

Rails: 2.3.2

SVN: 1.5.5 (r34862)

Redmine: 0.8.3

History

#1 - 2009-05-13 18:08 - Jean-Philippe Lang

Can you check in the issues table of your database if there's anything that is created with the missing ids (eg. 1, 3, 5...).

And please post your Redmine log with log level set to debug.

#2 - 2009-05-15 14:49 - Jos Vermeulen

- Nothing added with missing ids.

- I don't know how to create the logs. So if you could point me in the right direction I can give it to you.

#3 - 2009-05-15 15:00 - Jos Vermeulen

Just noticed that the same behavior reoccurs with the list of trackers, categories, ... .

#4 - 2009-05-15 15:32 - Jos Vermeulen

I can reproduce this in phpMyAdmin. So it seems that something is wrong with MySQL on that server

#5 - 2009-05-15 16:22 - Jos Vermeulen

- Status changed from New to Resolved

- % Done changed from 0 to 100

Not and issue in redmine.

The hosting company configured MySQL with variables

auto increment increment = 2

auto increment offset = 2

#6 - 2009-05-17 10:17 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (0.8.3)

- Resolution set to Invalid

- Affected version deleted (0.8.3)

Thanks for the feedback.
